searchNodes=[{"ref":"GoogleApi.CloudShell.V1.Api.Operations.html","title":"GoogleApi.CloudShell.V1.Api.Operations","type":"module","doc":"API calls for all endpoints tagged Operations."},{"ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_cancel/4","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_cancel/4","type":"function","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn&#39;t support this method, it returns google.rpc.Code.UNIMPLEMENTED. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED. Parameters connection (type: GoogleApi.CloudShell.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource to be cancelled. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.CloudShell.V1.Model.CancelOperationRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudShell.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_delete/4","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_delete/4","type":"function","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn&#39;t support this method, it returns google.rpc.Code.UNIMPLEMENTED. Parameters connection (type: GoogleApi.CloudShell.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource to be deleted. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudShell.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_get/4","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_get/4","type":"function","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Parameters connection (type: GoogleApi.CloudShell.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudShell.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_list/4","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_list/4","type":"function","doc":"Lists operations that match the specified filter in the request. If the server doesn&#39;t support this method, it returns UNIMPLEMENTED. NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as &quot;/v1/{name=users/*}/operations&quot; to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id. Parameters connection (type: GoogleApi.CloudShell.V1.Connection.t) - Connection to server name (type: String.t) - The name of the operation&#39;s parent resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :filter (type: String.t) - The standard list filter. :pageSize (type: integer()) - The standard list page size. :pageToken (type: String.t) - The standard list page token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudShell.V1.Model.ListOperationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudShell.V1.Connection.html","title":"GoogleApi.CloudShell.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudShell.V1."},{"ref":"GoogleApi.CloudShell.V1.Connection.html#delete/3","title":"GoogleApi.CloudShell.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#delete!/3","title":"GoogleApi.CloudShell.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#execute/2","title":"GoogleApi.CloudShell.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#get/3","title":"GoogleApi.CloudShell.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#get!/3","title":"GoogleApi.CloudShell.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#head/3","title":"GoogleApi.CloudShell.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#head!/3","title":"GoogleApi.CloudShell.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#new/0","title":"GoogleApi.CloudShell.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#new/1","title":"GoogleApi.CloudShell.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#options/3","title":"GoogleApi.CloudShell.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#options!/3","title":"GoogleApi.CloudShell.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#patch/4","title":"GoogleApi.CloudShell.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#patch!/4","title":"GoogleApi.CloudShell.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#post/4","title":"GoogleApi.CloudShell.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#post!/4","title":"GoogleApi.CloudShell.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#put/4","title":"GoogleApi.CloudShell.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#put!/4","title":"GoogleApi.CloudShell.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#request/2","title":"GoogleApi.CloudShell.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#request!/2","title":"GoogleApi.CloudShell.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudShell.V1.Connection.html#trace/3","title":"GoogleApi.CloudShell.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#trace!/3","title":"GoogleApi.CloudShell.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudShell.V1.Connection.html#t:option/0","title":"GoogleApi.CloudShell.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Connection.html#t:t/0","title":"GoogleApi.CloudShell.V1.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest","type":"module","doc":"The request message for Operations.CancelOperation. Attributes"},{"ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.Empty.html","title":"GoogleApi.CloudShell.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes"},{"ref":"GoogleApi.CloudShell.V1.Model.Empty.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.Empty.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.Environment.html","title":"GoogleApi.CloudShell.V1.Model.Environment","type":"module","doc":"A Cloud Shell environment, which is defined as the combination of a Docker image specifying what is installed on the environment and a home directory containing the user&#39;s data that will remain across sessions. Each user has a single environment with the ID &quot;default&quot;. Attributes dockerImage (type: String.t, default: nil) - Required. Full path to the Docker image used to run this environment, e.g. &quot;gcr.io/dev-con/cloud-devshell:latest&quot;. httpsPorts (type: list(integer()), default: nil) - Output only. List of ports users can connect to on the environment. id (type: String.t, default: nil) - Output only. The environment&#39;s identifier, which is always &quot;default&quot;. name (type: String.t, default: nil) - Output only. Full name of this resource, in the format users/{owner_email}/environments/{environment_id}. {owner_email} is the email address of the user to whom this environment belongs, and {environment_id} is the identifier of this environment. For example, users/someone@example.com/environments/default. publicKeys (type: list(GoogleApi.CloudShell.V1.Model.PublicKey.t), default: nil) - Output only. Public keys associated with the environment. Clients can connect to this environment via SSH only if they possess a private key corresponding to at least one of these public keys. Keys can be added to or removed from the environment using the CreatePublicKey and DeletePublicKey methods. size (type: String.t, default: nil) - Indicates the size of the backing VM running the environment. If set to something other than DEFAULT, it will be reverted to the default VM size after vm_size_expire_time. sshHost (type: String.t, default: nil) - Output only. Host to which clients can connect to initiate SSH sessions with the environment. sshPort (type: integer(), default: nil) - Output only. Port to which clients can connect to initiate SSH sessions with the environment. sshUsername (type: String.t, default: nil) - Output only. Username that clients should use when initiating SSH sessions with the environment. state (type: String.t, default: nil) - Output only. Current execution state of this environment. vmSizeExpireTime (type: DateTime.t, default: nil) - Output only. The time when the Environment will expire back to the default VM size. webHost (type: String.t, default: nil) - Output only. Host to which clients can connect to initiate HTTPS or WSS connections with the environment."},{"ref":"GoogleApi.CloudShell.V1.Model.Environment.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.Environment.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.Environment.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.Environment.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse","type":"module","doc":"The response message for Operations.ListOperations. Attributes nextPageToken (type: String.t, default: nil) - The standard List next-page token. operations (type: list(GoogleApi.CloudShell.V1.Model.Operation.t), default: nil) - A list of operations that matches the specified filter in the request."},{"ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.Operation.html","title":"GoogleApi.CloudShell.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (type: boolean(), default: nil) - If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available. error (type: GoogleApi.CloudShell.V1.Model.Status.t, default: nil) - The error result of the operation in case of failure or cancellation. metadata (type: map(), default: nil) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. name (type: String.t, default: nil) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}. response (type: map(), default: nil) - The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse."},{"ref":"GoogleApi.CloudShell.V1.Model.Operation.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.Operation.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.PublicKey.html","title":"GoogleApi.CloudShell.V1.Model.PublicKey","type":"module","doc":"A public SSH key, corresponding to a private SSH key held by the client. Attributes format (type: String.t, default: nil) - Required. Format of this key&#39;s content. key (type: String.t, default: nil) - Required. Content of this key. name (type: String.t, default: nil) - Output only. Full name of this resource, in the format users/{owner_email}/environments/{environment_id}/publicKeys/{key_id}. {owner_email} is the email address of the user to whom the key belongs. {environment_id} is the identifier of the environment to which the key grants access. {key_id} is the unique identifier of the key. For example, users/someone@example.com/environments/default/publicKeys/myKey."},{"ref":"GoogleApi.CloudShell.V1.Model.PublicKey.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.PublicKey.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.PublicKey.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.PublicKey.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata","type":"module","doc":"Message included in the metadata field of operations returned from StartEnvironment. Attributes state (type: String.t, default: nil) - Current state of the environment being started."},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse","type":"module","doc":"Message included in the response field of operations returned from StartEnvironment once the operation is complete. Attributes environment (type: GoogleApi.CloudShell.V1.Model.Environment.t, default: nil) - Environment that was started."},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.CloudShell.V1.Model.Status.html","title":"GoogleApi.CloudShell.V1.Model.Status","type":"module","doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide. Attributes code (type: integer(), default: nil) - The status code, which should be an enum value of google.rpc.Code. details (type: list(map()), default: nil) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message (type: String.t, default: nil) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client."},{"ref":"GoogleApi.CloudShell.V1.Model.Status.html#decode/2","title":"GoogleApi.CloudShell.V1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudShell.V1.Model.Status.html#t:t/0","title":"GoogleApi.CloudShell.V1.Model.Status.t/0","type":"type","doc":""}]